function BIDS = kinsurf(BIDS, fs_dir)

output_dir = fullfile(BIDS.pth,'derivatives',BIDS.config.env.derivatives_dir);
if exist(fs_dir)
    setenv('SUBJECTS_DIR',fs_dir)
else
    fs_dir = fullfile(BIDS.pth,'derivatives','freesurfer');
    setenv('SUBJECTS_DIR',fullfile(BIDS.pth,'derivatives','freesurfer'));
end

for idx = 1:numel(BIDS.subjects)
    subj = BIDS.subjects(idx).name;
    ses = BIDS.subjects(idx).session;

    hemi = {'rh', 'lh'};
    for n = 1:numel(hemi)

        input_file = fullfile(BIDS.pth, 'derivatives/rCPS', subj, ses, ...
            [subj '_' ses '_desc-VcPDIF_stat-rCPS_statmap.nii.gz']);
        output_file = fullfile(output_dir, subj, ses, ...
            'pet',[subj '_' ses '_space-fsaverage_pvc-nopvc_hemi-' hemi{n} '_desc-VcPDIF_rcps.nii.gz']);

        lta_file = fullfile(output_dir, subj, ses, ...
            'pet', [subj '_' ses '_from-pet_to-T1w_reg.lta']);

        unix(['mri_vol2surf --mov '  input_file ...
            ' --reg ' lta_file ...
            ' --hemi ' hemi{n} ...
            ' --projfrac 0.5' ...
            ' --cortex' ...
            ' --trgsubject fsaverage' ...
            ' --o ' output_file]);

        input_file = fullfile(output_dir, subj, ses, ...
            'pet',[subj '_' ses '_space-fsaverage_pvc-nopvc_hemi-' hemi{n} '_desc-VcPDIF_rcps.nii.gz']);
        output_file = fullfile(output_dir, subj, ses, ...
            'pet',[subj '_' ses '_space-fsaverage_pvc-nopvc_hemi-' hemi{n} '_sm-10_desc-VcPDIF_rcps.nii.gz']);

        unix(['mris_fwhm --smooth-only --i '  input_file ...
            ' --fwhm 10 ' ...
            ' --hemi ' hemi{n} ...
            ' --cortex' ...
            ' --s fsaverage' ...
            ' --o ' output_file]);
    end
end
